1.0

1.0

post /v1/data-flow-services/clusters/{cluster_id}/validate-resources

Description

Validate Cluster Resource Size for Data Flow Service Creation.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataFlowServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/clusters/{cluster_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"

Request body

{
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}